%{
  #include "rumd/MoleculeData.h"
  %}

// turn off keyword arguments for overloaded functions to avoid warnings
%feature("kwargs", "0") MoleculeData::PrintLists;
%feature("kwargs", "0") MoleculeData::SetExclusionMolecule;

class MoleculeData {
 public:
  MoleculeData(Sample *, const char *);
  ~MoleculeData(void);

  void ReadTopology(const char *);
  void WriteBondConstraint();

  void SetBondHarmonic(unsigned, float, float);
  void SetBondFENE(unsigned);
  void SetBondConstraint(unsigned type, float lbond);

  void PrintLists(void);
  void PrintLists(unsigned i);
  void PrintMlist(void);

  void SetExclusionBond(PairPotential *potential, unsigned etype);
  void SetExclusionMolecule(PairPotential *potential, unsigned molindex);
  void SetExclusionMolecule(PairPotential *potential);
};
