#!/bin/csh -f
#PBS -e mom_cons.err
#PBS -o mom_cons.log
#PBS -l nodes=1:ppn=3
#PBS -l walltime=1:00:00
#PBS -m ae
# Job name:
#PBS -N test_wrong_reset
#PBS -r n


# if running as PBS job, change into the correct directory (the directory containing this file)
if ($?PBS_O_WORKDIR) then
cd $PBS_O_WORKDIR
endif

set pb = 16
set tp = 8 # 1
set num_blocks = 100
@ block_factor = 100

printf "Physics test: zeroing the center of mass velocity.\n"

set dt = 0.0064
@ w_interval = 400
@ block_size = $w_interval * $block_factor
@ reset_interval = $block_size


(../../../../UserPrograms/md_pair  --numIOBlocks=${num_blocks} --IOBlockSize=${block_size} --pb=$pb --tp=$tp --dt=${dt} --thermostat=0 --device=0 --dump_nrg=${w_interval} --writeTraj=0 --mom_reset=$reset_interval --cutoff=4.0 --write_v_com_x=1 --out_prec=9 > mom_cons${dt}.log) >& mom_cons${dt}.err
zcat TrajectoryFiles/energies*.dat.gz > energies${dt}.dat

rm -rf TrajectoryFiles

grep "Processing time GPU" mom_cons*.log > cpu_times.log


