#ifndef INTEGRATORMETADATA_H
#define INTEGRATORMETADATA_H

#include <vector>

class IntegratorMetaData {
public:
  IntegratorMetaData(const std::string& typeName): integratorTypeName(typeName), parameters() {}
  virtual ~IntegratorMetaData() {}
  const std::string& GetIntegratorType() const { return integratorTypeName; }
  unsigned int GetNumberOfParameters() { return parameters.size(); }
  void AddParameter(float p) {parameters.push_back(p); }
  float GetParameter(unsigned int index) {if(index >= parameters.size()) throw RUMD_Error("IntegratorMetaData","GetParameter","Invalid parameter index");
    return parameters[index]; } 

private:
  std::string integratorTypeName;
  std::vector<float> parameters;
};

#endif // INTEGRATORMETADATA_H
